<div class="mdc-card object-detail-card-component" data-building-unit-id="{{ buildingUnit.getId() }}">
    <div class="row">
        <div class="col-md-5 col-lg-3 p-0 d-flex">
            {% if buildingUnit.getMainImage() is not null %}
                {% if buildingUnit.getMainImage().getThumbnailFile is not null %}
                    {% set image = path('file', {'fileUuid': buildingUnit.getMainImage().getThumbnailFile().getUuid()}) %}
                {% else %}
                    {% set image = path('file', {'fileUuid': buildingUnit.getMainImage().getFile().getUuid()}) %}
                {% endif %}
            {% else %}
                {% set image = asset('build/images/no-image.jpg') %}
            {% endif %}
            <div class="w-100 my-card__media inline-card__media mdc-card__media mdc-card__media--16-9" style="background-image: url('{{ image }}');"></div>
        </div>
        <div class="col-md-7 col-lg-9 p-4">
            <div class="mb-2 d-flex pe-3">
                <div class="d-flex col-10 col-lg-11 flex-column me-auto">
                    <strong>{{ buildingUnit.getName() }}</strong>
                    <small class="mb-1">Objekt-Nr.: {{ buildingUnit.getId() }}{% if buildingUnit.getInternalNumber() %} ({{ buildingUnit.getInternalNumber() }}){% endif %}</small>
                </div>

                {% set contextMenuListItems = [] %}

                {% if is_granted('view', buildingUnit) == true %}
                    {% set contextMenuListItems = contextMenuListItems|merge([
                        {
                            'label': 'zum Objekt',
                            'url': path('property_vacancy_management_building_unit_basic_data', {'buildingUnitId': buildingUnit.getId()}),
                            'icon': 'store'
                        },
                    ]) %}
                {% endif %}

                {% set contextMenuListItems = contextMenuListItems|merge([
                    {
                        'label': 'Kurzexposé erstellen',
                        'url': path('company_location_management_matching_pdf_expose', {'id': buildingUnit.getId()}),
                        'icon': 'picture_as_pdf',
                        'target': '_blank'
                    },
                ]) %}

                {% if app.user.getAccount().getAccountConfiguration().getCityExpose() != null %}
                    {% set contextMenuListItems = contextMenuListItems|merge([
                        {
                            'label': 'Stadt-Exposé herunterladen',
                            'url': path('public_file', {'fileUuid': app.user.getAccount().getAccountConfiguration().getCityExpose().getFile().getUuid()}),
                            'icon': 'location_city',
                            'target': '_blank'
                        }
                    ]) %}
                {% endif %}

                {% include 'component/mdc_context_menu_component.html.twig' with {
                    'id': 'building_unit_' ~ buildingUnit.getId(),
                    'listItems': contextMenuListItems
                } only %}
            </div>
            <div class="row mb-2">
                <div class="col-md-12 col-lg-4 ">
                    <div class="d-flex flex-row mb-1">
                        <div class="pt-1">
                            <span class="material-icons-outlined">
                                pin_drop
                            </span>
                        </div>
                        <div class="p-1">
                            <p class="m-0 font-thin">
                                <span>{{ buildingUnit.getAddress().getStreetName() }} {{ buildingUnit.getAddress().getHouseNumber() }}</span><br>
                                <span>{{ buildingUnit.getAddress().getPostalCode() }} {{ buildingUnit.getAddress().getPlace().getPlaceName() }}</span>
                            </p>
                        </div>
                    </div>
                    <div class="d-flex flex-row mb-2">
                        <div class="p-1">
                            {% if (buildingUnit.isObjectIsEmpty() and buildingUnit.getObjectIsEmptySince() != null) or (buildingUnit.isObjectBecomesEmpty() and buildingUnit.getObjectBecomesEmptyFrom() != null) %}
                                <div class="d-flex flex-row mb-2">
                                    <div class="pt-1">
                                        <span class="material-icons-outlined {% if buildingUnit.isObjectIsEmpty() %}text-danger{% endif %} {% if buildingUnit.isObjectBecomesEmpty() %}text-warning{% endif %}">
                                            {% if buildingUnit.isObjectIsEmpty() %}error{% endif %} {% if buildingUnit.isObjectBecomesEmpty() %}gpp_maybe{% endif %}
                                        </span>
                                    </div>
                                    <div class="p-1">
                                        <p class="m-0 font-thin">
                                            {% if buildingUnit.isObjectIsEmpty() %}
                                                Leerstand seit: {{ buildingUnit.getObjectIsEmptySince().format('d.m.Y') }}
                                            {% else %}
                                                Fällt leer zum: {{ buildingUnit.getObjectBecomesEmptyFrom().format('d.m.Y') }}
                                            {% endif %}
                                        </p>
                                    </div>
                                </div>
                            {% endif %}
                        </div>
                    </div>
                </div>
                <div class="col-4 col-lg-3">
                    {% if buildingUnit.getAreaSize() != null %}
                        <div class="mb-2">
                            <p class="m-0"><strong>{{ buildingUnit.getAreaSize()|number_format(2, ',', '.') }} m&sup2;</strong></p>
                            <p class="m-0 font-thin"><small>Gesamtfläche</small></p>
                        </div>
                    {% endif %}
                    {% if buildingUnit.getPropertySpacesData() != null and buildingUnit.getPropertySpacesData().getRetailSpace() != null %}
                        <div class="mb-2">
                            <p class="m-0"><strong>{{ buildingUnit.getPropertySpacesData().getRetailSpace()|number_format(2, ',', '.') }} m&sup2;</strong></p>
                            <p class="m-0 font-thin"><small>Verkaufsfläche</small></p>
                        </div>
                    {% endif %}
                </div>
                <div class="col-4 col-lg-2">
                    {% if buildingUnit.getPropertySpacesData() != null and buildingUnit.getPropertySpacesData().getStorageSpace() != null %}
                        <div class="mb-2">
                            <p class="m-0"><strong>{{ buildingUnit.getPropertySpacesData().getStorageSpace()|number_format(2, ',', '.') }} m&sup2;</strong></p>
                            <p class="m-0 font-thin"><small>Lagerfläche</small></p>
                        </div>
                    {% endif %}
                    {% if buildingUnit.getPropertySpacesData() != null and buildingUnit.getPropertySpacesData().getRoomCount() != null %}
                        <div class="mb-2">
                            <p class="m-0"><strong>{{ buildingUnit.getPropertySpacesData().getRoomCount() }}</strong></p>
                            <p class="m-0 font-thin"><small>Anzahl Räume</small></p>
                        </div>
                    {% endif %}
                </div>
                <div class="col-4 col-lg-3">
                    {% if buildingUnit.getNumberOfParkingLots() != null %}
                        <div class="mb-2">
                            <p class="m-0"><strong>{{ buildingUnit.getNumberOfParkingLots() }}</strong></p>
                            <p class="m-0 font-thin"><small>Stellplätze</small></p>
                        </div>
                    {% endif %}
                    {% if buildingUnit.shopWindowFrontWidth() != null %}
                        <div class="mb-2">
                            <p class="m-0"><strong>{{ buildingUnit.shopWindowFrontWidth() }} m</strong></p>
                            <p class="m-0 font-thin"><small>Schaufensterbreite</small></p>
                        </div>
                    {% endif %}
                </div>
            </div>
        </div>
    </div>
</div>
